libnet-scp-expect-perl_0.16-1_all.deb


Advertisement

Description

libnet-scp-expect-perl - Wrapper for scp to send passwords via Expect

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libnet-scp-expect-perl
Package version 0.16
Package release 1
Package architecture all
Package type deb
Installed size 40 B
Download size 19.45 KB
Official Mirror ftp.br.debian.org
Net::SCP::Expect allows you to transfer files via scp, but instead of having
to use shared keys or to input a password interactively, it allows you to
send them programmataically via Expect.

Alternatives

Package Version Architecture Repository
libnet-scp-expect-perl_0.16-1_all.deb 0.16 all Debian Main
libnet-scp-expect-perl - - -

Requires

Name Value
libexpect-perl -
libnet-ipv6addr-perl -
libterm-readpassword-perl -
perl >= 5.6.0-16

Download

Type URL
Binary Package libnet-scp-expect-perl_0.16-1_all.deb
Source Package libnet-scp-expect-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnet-scp-expect-perl deb package:
    # sudo apt-get install libnet-scp-expect-perl

Files

Path
/usr/share/doc/libnet-scp-expect-perl/changelog.Debian.gz
/usr/share/doc/libnet-scp-expect-perl/changelog.gz
/usr/share/doc/libnet-scp-expect-perl/copyright
/usr/share/man/man3/Net::SCP::Expect.3pm.gz
/usr/share/perl5/Net/SCP/Expect.pm

Changelog

2009-02-13 - Rene Mayorga <rmayorga@debian.org>
libnet-scp-expect-perl (0.16-1) unstable; urgency=low
* New upstream release
* debian/rules: remove workarround for ._Expect.pm file
2009-02-05 - Rene Mayorga <rmayorga@debian.org>
libnet-scp-expect-perl (0.15-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Rene Mayorga ]
* New upstream release
* debian/control
+ add libnet-ipv6addr-perl to B-D-I and Depends fields
+ update my email address
* debian/copyright
+ update proposal format
+ separate debian/* copyright stanzas based on debian/changelog
+ update upstream copyright years
* debian/rules: remove usr/share/perl5/Net/SCP/._Expect.pm
from the final .deb package
2008-08-11 - Rene Mayorga <rmayorga@debian.org.sv>
libnet-scp-expect-perl (0.14-1) unstable; urgency=low
* New upstream release
* debian/control
+ raise debhelper version to 7
+ add myself to uploaders
+ add ${misc:Depends} to Depends field
* debian/copyright converted to (new)format
* refresh debian/rules with rules.dh7.noxs template
2008-07-06 - gregor herrmann <gregoa@debian.org>
libnet-scp-expect-perl (0.13-1) unstable; urgency=low
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza).
* Set Maintainer to Debian Perl Group.
* Use dist-based URL in debian/watch.
* debian/rules: delete /usr/lib/perl5 only if it exists.
* New upstream release.
* debian/watch: extended regexp for matching upstream releases.
* debian/copyright: update author/copyright/license information from
upstream README; refresh pointer to licenses on Debian systems.
* Set debhelper compatibility level to 5.
* Add /me to Uploaders.
* Set Standards-Version to 3.8.0 (no changes).
* Remove version from build dependency on libexpect-perl (even oldstable has
a newer version).
* Move debhelper from Build-Depends-Indep to Build-Depends.
* Remove debian/docs and don't install README any more (text version of the
inline POD documentation).
* Refresh debian/rules, no functional changes.
2004-12-29 - Jay Bonci <jaybonci@debian.org>
libnet-scp-expect-perl (0.12-1) unstable; urgency=low
* New upstream version
2004-10-06 - Jay Bonci <jaybonci@debian.org>
libnet-scp-expect-perl (0.10-3) unstable; urgency=low
* Fixes watch file so uscan will actually work
2003-10-06 - Jay Bonci <jaybonci@debian.org>
libnet-scp-expect-perl (0.10-2) unstable; urgency=low
* Updated maintainer email address in control file
2003-09-19 - Jay Bonci <jaybonci@debian.org>
libnet-scp-expect-perl (0.10-1) unstable; urgency=low
* New upstream version
* New CPAN url format (non-versioned), instead of version number
* Updated maintainer email address
2003-06-28 - Jay Bonci <jay@bonci.com>
libnet-scp-expect-perl (0.09-1) unstable; urgency=low
* Initial Release. Closes bug#197817

See Also

Package Description
libnet-scp-perl_0.08-3_all.deb Perl extension for secure copy protocol
libnet-server-coro-perl_1.3-1_all.deb co-operative multithreaded server using Coro
libnet-server-mail-perl_0.21-1_all.deb versatile and extensible mail server framework
libnet-server-perl_2.008-1_all.deb extensible, general perl server engine
libnet-sftp-foreign-perl_1.77+dfsg-1_all.deb client for the Secure File Transfer Protocol
libnet-sftp-sftpserver-perl_1.1.0-2_all.deb Secure File Transfer Protocol Server
libnet-sieve-perl_0.11-1_all.deb implementation of managesieve protocol to manage sieve scripts
libnet-sieve-script-perl_0.08-1_all.deb Parse and write sieve scripts
libnet-sip-perl_0.687-1_all.deb framework for SIP modules
libnet-smpp-perl_1.19-1_all.deb implementation of Short Message Peer to Peer protocol over TCP
libnet-smtp-server-perl_1.1-4_all.deb native Perl SMTP Server implementation for Perl
libnet-smtp-ssl-perl_1.01-3_all.deb Perl module providing SSL support to Net::SMTP
libnet-smtp-tls-butmaintained-perl_0.24-1_all.deb Perl module for providing SMTP client supporting TLS and AUTH
libnet-smtp-tls-perl_0.12-2_all.deb Perl SMTP client library supporting TLS and AUTH
libnet-smtpauth-perl_0.08-4_all.deb Perl module that provides SMTP authentication (Net::SMTP_auth)
Advertisement
Advertisement